- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# message context
[Context Hierarchy]

## Files
file | axis2_msg_ctx.h
## Defines
#define | AXIS2_TRANSPORT_HEADERS "AXIS2_TRANSPORT_HEADERS"
#define | AXIS2_TRANSPORT_OUT "AXIS2_TRANSPORT_OUT"
#define | AXIS2_TRANSPORT_IN "AXIS2_TRANSPORT_IN"
#define | AXIS2_CHARACTER_SET_ENCODING "AXIS2_CHARACTER_SET_ENCODING"
#define | AXIS2_UTF_8 "UTF-8"
#define | AXIS2_UTF_16 "utf-16"
#define | AXIS2_DEFAULT_CHAR_SET_ENCODING "UTF-8"
#define | AXIS2_TRANSPORT_SUCCEED "AXIS2_TRANSPORT_SUCCEED"
#define | AXIS2_HTTP_CLIENT "AXIS2_HTTP_CLIENT"
#define | AXIS2_TRANSPORT_URL "TransportURL"
#define | AXIS2_SVR_PEER_IP_ADDR "peer_ip_addr"
## Typedefs
typedef struct axis2_msg_ctx | axis2_msg_ctx_t
typedef struct axis2_svc *(* | AXIS2_MSG_CTX_FIND_SVC )(axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
typedef struct axis2_op *(* | AXIS2_MSG_CTX_FIND_OP )(axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc *svc)
## Functions
AXIS2_EXTERN axis2_msg_ctx_t * | axis2_msg_ctx_create (const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_in_desc *transport_in_desc, struct axis2_transport_out_desc *transport_out_desc)
AXIS2_EXTERN axis2_ctx_t * | axis2_msg_ctx_get_base (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_op_ctx * | axis2_msg_ctx_get_parent (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_parent (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_op_ctx *parent)
AXIS2_EXTERN void | axis2_msg_ctx_free (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_init (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_conf *conf)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_ctx_get_fault_to (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_ctx_get_from (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_in_fault_flow (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_envelope * | axis2_msg_ctx_get_soap_envelope (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_envelope * | axis2_msg_ctx_get_response_soap_envelope (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_envelope * | axis2_msg_ctx_get_fault_soap_envelope (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_msg_id (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_char_t *msg_id)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_msg_id (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_process_fault (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_relates_to_t * | axis2_msg_ctx_get_relates_to (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_ctx_get_reply_to (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_server_side (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_ctx_get_to (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_fault_to (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_endpoint_ref_t *reference)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_from (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_endpoint_ref_t *reference)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_in_fault_flow (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t in_fault_flow)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_soap_envelope (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axiom_soap_envelope *soap_envelope)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_response_soap_envelope (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axiom_soap_envelope *soap_envelope)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_fault_soap_envelope (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axiom_soap_envelope *soap_envelope)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_message_id (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *message_id)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_process_fault (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t process_fault)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_relates_to (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_relates_to_t *reference)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_reply_to (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_endpoint_ref_t *reference)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_server_side (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t server_side)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_to (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_endpoint_ref_t *reference)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_new_thread_required (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_new_thread_required (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t new_thread_required)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_wsa_action (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *action_uri)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_wsa_action (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_wsa_message_id (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *message_id)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_wsa_message_id (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_msg_info_headers_t * | axis2_msg_ctx_get_msg_info_headers (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_paused (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_paused (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t paused)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_is_keep_alive (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_keep_alive (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t keep_alive)
AXIS2_EXTERN struct axis2_transport_in_desc * | axis2_msg_ctx_get_transport_in_desc (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_transport_out_desc * | axis2_msg_ctx_get_transport_out_desc (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transport_in_desc (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_transport_in_desc *transport_in_desc)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transport_out_desc (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_transport_out_desc *transport_out_desc)
AXIS2_EXTERN struct axis2_op_ctx * | axis2_msg_ctx_get_op_ctx (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_op_ctx (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_op_ctx *op_ctx)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_output_written (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_output_written (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t output_written)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_rest_http_method (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_rest_http_method (struct axis2_msg_ctx *msg_ctx, const axutil_env_t *env, const axis2_char_t *rest_http_method)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_svc_ctx_id (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc_ctx_id (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *svc_ctx_id)
AXIS2_EXTERN struct axis2_conf_ctx * | axis2_msg_ctx_get_conf_ctx (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_svc_ctx * | axis2_msg_ctx_get_svc_ctx (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_conf_ctx (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc_ctx (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc_ctx *svc_ctx)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_msg_info_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_msg_info_headers_t *msg_info_headers)
AXIS2_EXTERN axutil_param_t * | axis2_msg_ctx_get_parameter (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN axutil_param_t * | axis2_msg_ctx_get_module_parameter (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *key, const axis2_char_t *module_name, axis2_handler_desc_t *handler_desc)
AXIS2_EXTERN axutil_property_t * | axis2_msg_ctx_get_property (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN void * | axis2_msg_ctx_get_property_value (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *property_str)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_property (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *key, axutil_property_t *value)
AXIS2_EXTERN const axutil_string_t * | axis2_msg_ctx_get_paused_handler_name (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_ctx_get_paused_phase_name (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_paused_phase_name (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *paused_phase_name)
AXIS2_EXTERN axutil_string_t * | axis2_msg_ctx_get_soap_action (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_soap_action (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_string_t *soap_action)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_doing_mtom (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_doing_mtom (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t doing_mtom)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_doing_rest (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_doing_rest (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t doing_rest)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_do_rest_through_post (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t do_rest_through_post)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_do_rest_through_post (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_manage_session (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_manage_session (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t manage_session)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_is_soap_11 (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_is_soap_11 (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t is_soap11)
AXIS2_EXTERN struct axis2_svc_grp_ctx * | axis2_msg_ctx_get_svc_grp_ctx (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc_grp_ctx (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc_grp_ctx *svc_grp_ctx)
AXIS2_EXTERN struct axis2_op * | axis2_msg_ctx_get_op (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_op (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_op *op)
AXIS2_EXTERN struct axis2_svc * | axis2_msg_ctx_get_svc (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc *svc)
AXIS2_EXTERN struct axis2_svc_grp * | axis2_msg_ctx_get_svc_grp (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc_grp (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc_grp *svc_grp)
AXIS2_EXTERN const axutil_string_t * | axis2_msg_ctx_get_svc_grp_ctx_id (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_svc_grp_ctx_id (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_string_t *svc_grp_ctx_id)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_find_svc (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, AXIS2_MSG_CTX_FIND_SVC func)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_find_op (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, AXIS2_MSG_CTX_FIND_OP func)
AXIS2_EXTERN struct axis2_svc * | axis2_msg_ctx_find_svc (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_op * | axis2_msg_ctx_find_op (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc *svc)
AXIS2_EXTERN struct axis2_options * | axis2_msg_ctx_get_options (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_is_paused (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_options (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_options *options)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_flow (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, int flow)
AXIS2_EXTERN int | axis2_msg_ctx_get_flow (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_supported_rest_http_methods (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *supported_rest_http_methods)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_supported_rest_http_methods (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_execution_chain (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *execution_chain)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_execution_chain (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_current_handler_index (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const int index)
AXIS2_EXTERN int | axis2_msg_ctx_get_current_handler_index (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_msg_ctx_get_paused_handler_index (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_current_phase_index (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const int index)
AXIS2_EXTERN int | axis2_msg_ctx_get_current_phase_index (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_msg_ctx_get_paused_phase_index (const axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_string_t * | axis2_msg_ctx_get_charset_encoding (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_charset_encoding (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_string_t *str)
AXIS2_EXTERN int | axis2_msg_ctx_get_status_code (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_status_code (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const int status_code)
AXIS2_EXTERN axutil_stream_t * | axis2_msg_ctx_get_transport_out_stream (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transport_out_stream (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_reset_transport_out_stream (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_out_transport_info * | axis2_msg_ctx_get_out_transport_info (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_out_transport_info (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_out_transport_info *out_transport_info)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_reset_out_transport_info (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_msg_ctx_get_transport_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_msg_ctx_extract_transport_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transport_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_hash_t *transport_headers)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_http_accept_charset_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_extract_http_accept_charset_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_http_accept_charset_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *accept_charset_record_list)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_http_accept_language_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_extract_http_accept_language_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_http_accept_language_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *accept_language_record_list)
AXIS2_EXTERN axis2_char_t * | axis2_msg_ctx_get_content_language (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_content_language (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_char_t *str)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_http_accept_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_extract_http_accept_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_http_accept_record_list (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *accept_record_list)
AXIS2_EXTERN axis2_char_t * | axis2_msg_ctx_get_transfer_encoding (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transfer_encoding (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_char_t *str)
AXIS2_EXTERN axis2_char_t * | axis2_msg_ctx_get_transport_url (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_transport_url (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axis2_char_t *str)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_no_content (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_no_content (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t no_content)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_auth_failed (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_auth_failed (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t status)
AXIS2_EXTERN axis2_bool_t | axis2_msg_ctx_get_required_auth_is_http (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_required_auth_is_http (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_bool_t is_http)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_auth_type (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, const axis2_char_t *auth_type)
AXIS2_EXTERN axis2_char_t * | axis2_msg_ctx_get_auth_type (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_http_output_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_extract_http_output_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_set_http_output_headers (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *output_headers)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_ctx_get_mime_parts (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_msg_ctx_set_mime_parts (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, axutil_array_list_t *mime_parts)
AXIS2_EXTERN axis2_status_t | axis2_msg_ctx_increment_ref (axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)

## Detailed Description

message context captures all state information related to a message invocation. It holds information on the service and operation to be invoked as well as context hierarchy information related to the service and operation. It also has information on transports, that are to be used in invocation. The phase information is kept, along with the phase at which message invocation was paused as well as the handler in the phase from which the invocation is to be resumed. message context would hold the request SOAP message along the out path and would capture response along the in path. message context also has information on various engine specific information, such as if it should be doing MTOM, REST. As message context is inherited form context, it has the capability of storing user defined properties.

## Define Documentation

#define AXIS2_CHARACTER_SET_ENCODING "AXIS2_CHARACTER_SET_ENCODING"

character set encoding

#define AXIS2_DEFAULT_CHAR_SET_ENCODING "UTF-8"

default char set encoding; This is the default value for AXIS2_CHARACTER_SET_ENCODING property

#define AXIS2_HTTP_CLIENT "AXIS2_HTTP_CLIENT"

HTTP Client

#define AXIS2_SVR_PEER_IP_ADDR "peer_ip_addr"

PEER IP Address of Server

#define AXIS2_TRANSPORT_HEADERS "AXIS2_TRANSPORT_HEADERS"

transport headers

#define AXIS2_TRANSPORT_IN "AXIS2_TRANSPORT_IN"

transport out

#define AXIS2_TRANSPORT_OUT "AXIS2_TRANSPORT_OUT"

transport in

#define AXIS2_TRANSPORT_SUCCEED "AXIS2_TRANSPORT_SUCCEED"

transport succeeded

#define AXIS2_TRANSPORT_URL "TransportURL"

Transport URL

#define AXIS2_UTF_16 "utf-16"

UTF_16; This is the 'utf-16' value for AXIS2_CHARACTER_SET_ENCODING property

#define AXIS2_UTF_8 "UTF-8"

UTF_8; This is the 'utf-8' value for AXIS2_CHARACTER_SET_ENCODING property

## Typedef Documentation

typedef struct axis2_op*( * AXIS2_MSG_CTX_FIND_OP)(axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env, struct axis2_svc *svc)

Type name for pointer to a function to find an operation in a service

typedef struct axis2_svc*( * AXIS2_MSG_CTX_FIND_SVC)(axis2_msg_ctx_t *msg_ctx, const axutil_env_t *env)

Type name for pointer to a function to find a service

typedef struct axis2_msg_ctx axis2_msg_ctx_t

Type name for struct axis2_msg_ctx

## Function Documentation

AXIS2_EXTERN axis2_msg_ctx_t* axis2_msg_ctx_create | ( | const axutil_env_t * | env,
|  | struct axis2_conf_ctx * | conf_ctx,
|  | struct axis2_transport_in_desc * | transport_in_desc,
|  | struct axis2_transport_out_desc * | transport_out_desc |
| ) |  |  |

Creates a message context struct instance.

Parameters:

  | env | pointer to environment struct
  | conf_ctx | pointer to configuration context struct, message context does not assume the ownership of the struct
  | transport_in_desc | pointer to transport in description struct, message context does not assume the ownership of the struct
  | transport_out_desc | pointer to transport out description struct, message context does not assume the ownership of the struct

Returns:
  pointer to newly created message context instance

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_extract_http_accept_charset_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept-Charset records, and removes them from the message context

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept-Charset records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_extract_http_accept_language_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept-Language records, and removes them from the message context

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept-Language records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_extract_http_accept_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept records, and removes them from the message context

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_extract_http_output_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves the Output Headers, and removes them from the message context

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Output Header list

AXIS2_EXTERN axutil_hash_t* axis2_msg_ctx_extract_transport_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves Transport Headers, and removes them from the message context

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Transport Headers associated.

AXIS2_EXTERN struct axis2_op* axis2_msg_ctx_find_op | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_svc * | svc |
| ) |  |  | `[read]`

Finds the operation to be invoked in the given service. This function is used by dispatchers to locate the operation to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc | pointer to service to whom the operation belongs

Returns:
  pointer to the operation to be invoked

AXIS2_EXTERN struct axis2_svc* axis2_msg_ctx_find_svc | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Finds the service to be invoked. This function is used by dispatchers to locate the service to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to service to be invoked

AXIS2_EXTERN void axis2_msg_ctx_free | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_auth_failed | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets whether an authentication failure occured

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  returns AXIS2_TRUE if an authentication failure occured or AXIS2_FALSE if not

AXIS2_EXTERN axis2_char_t* axis2_msg_ctx_get_auth_type | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the authentication type

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Authentication type string

AXIS2_EXTERN axis2_ctx_t* axis2_msg_ctx_get_base | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the base, which is of type context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to base context struct

AXIS2_EXTERN axutil_string_t* axis2_msg_ctx_get_charset_encoding | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets character set encoding to be used.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN struct axis2_conf_ctx* axis2_msg_ctx_get_conf_ctx | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets configuration context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to configuration context

AXIS2_EXTERN axis2_char_t* axis2_msg_ctx_get_content_language | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the Content Language used

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Content Language string

AXIS2_EXTERN int axis2_msg_ctx_get_current_handler_index | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets current handler index, indicating which handler is currently being invoked in the execution chain

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  index of currently executed handler

AXIS2_EXTERN int axis2_msg_ctx_get_current_phase_index | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets index of the current phase being invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  index of current phase

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_do_rest_through_post | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Sets the boolean value indicating if REST should be done through HTTP POST or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if REST is to be done with HTTP POST, else AXIS2_FALSE if REST is not to be done with HTTP POST

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_doing_mtom | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the boolean value indicating if MTOM is enabled or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if MTOM is enabled, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_doing_rest | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the boolean value indicating if REST is enabled or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if REST is enabled, else AXIS2_FALSE

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_execution_chain | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the execution chain to be invoked. The execution chain is a list of phases containing the handlers to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer array list containing the list of handlers that constitute the execution chain. Message context does not assume the ownership of the array list

AXIS2_EXTERN struct axiom_soap_envelope* axis2_msg_ctx_get_fault_soap_envelope | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets fault SOAP envelope.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to fault SOAP envelope stored within message context

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_ctx_get_fault_to | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing fault to address. Fault to address tells where to send the fault in case there is an error.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing the fault to address, returns a reference not a cloned copy

AXIS2_EXTERN int axis2_msg_ctx_get_flow | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the flow to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  int value indicating the flow

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_ctx_get_from | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing from endpoint. From address tells where the request came from.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing the from address, returns a reference not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_http_accept_charset_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept-Charset records.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept-Charset records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_http_accept_language_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept-Language records.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept-Language records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_http_accept_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves HTTP Accept records.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Accept records associated.

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_http_output_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the Output Header list

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Output Header list

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_in_fault_flow | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Checks if there is a SOAP fault on in flow.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if there is an in flow fault, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_is_soap_11 | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating the SOAP version being used either SOAP 1.1 or SOAP 1.2

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if SOAP 1.1 is being used, else AXIS2_FALSE if SOAP 1.2 is being used

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_manage_session | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets manage session bool value.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if session is managed, else AXIS2_FALSE

AXIS2_EXTERN axutil_param_t* axis2_msg_ctx_get_module_parameter | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key,
|  | const axis2_char_t * | module_name,
|  | axis2_handler_desc_t * | handler_desc |
| ) |  |  |

Gets parameters related to a named module and a given handler description. The order of searching for parameter is as follows:
1. search in module configuration stored inside corresponding operation description if its there
2. search in corresponding operation if its there
3. search in module configurations stored inside corresponding service description if its there
4. search in corresponding service description if its there
5. search in module configurations stored inside configuration
6. search in configuration for parameters
7. get the corresponding module and search for the parameters
8. search in handler description for the parameter

Parameters:

  | msg_ctx | pointer to message context
  | env | pointer to environment struct
  | key | parameter key
  | module_name | name of the module
  | handler_desc | pointer to handler description

Returns:
  pointer to parameter

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_msg_id | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets message ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  message ID string corresponding to the message the message context is related to

AXIS2_EXTERN axis2_msg_info_headers_t* axis2_msg_ctx_get_msg_info_headers | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing message information headers.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to message information headers struct with WS-Addressing information. Returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_new_thread_required | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating if it is required to have a new thread for the invocation, or if the same thread of execution could be used.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if new thread is required, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_no_content | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets whether there was no content in the response. This will cater for a situation where the invoke method in a service returns NULL when no fault has occured.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  returns AXIS2_TRUE if there was no content occured or AXIS2_FALSE otherwise

AXIS2_EXTERN struct axis2_op* axis2_msg_ctx_get_op | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the operation that is to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to operation, returns a reference not a cloned copy

AXIS2_EXTERN struct axis2_op_ctx* axis2_msg_ctx_get_op_ctx | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets operation context related to the operation that this message context is related to.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to operation context struct

AXIS2_EXTERN struct axis2_options* axis2_msg_ctx_get_options | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the options to be used in invocation.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  options pointer to options struct, message context does not assume the ownership of the struct

AXIS2_EXTERN struct axis2_out_transport_info* axis2_msg_ctx_get_out_transport_info | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the HTTP Out Transport Info associated

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  reference to HTTP Out Transport Info associated

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_output_written | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating the output written status.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if output is written, else AXIS2_FALSE

AXIS2_EXTERN axutil_param_t* axis2_msg_ctx_get_parameter | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key |
| ) |  |  |

Gets configuration descriptor parameter with given key. This method recursively search the related description hierarchy for the parameter with given key until it is found or the parent of the description hierarchy is reached. The order of search is as follows:
1. search in operation description, if its there return
2. if the parameter is not found in operation or operation is NULL, search in service
3. if the parameter is not found in service or service is NULL search in configuration

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | key | parameter key

Returns:
  pointer to parameter struct corresponding to the given key

AXIS2_EXTERN struct axis2_op_ctx* axis2_msg_ctx_get_parent | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets parent. Parent of a message context is of type operation context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to operation context which is the parent

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_paused | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating the paused status. It is possible to pause the engine invocation by any handler. By calling this method one can find out if some handler has paused the invocation.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if message context is paused, else AXIS2_FALSE

AXIS2_EXTERN int axis2_msg_ctx_get_paused_handler_index | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets paused handler index, indicating at which handler the execution chain was paused.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  index of handler at which invocation was paused

AXIS2_EXTERN const axutil_string_t* axis2_msg_ctx_get_paused_handler_name | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the QName of the handler at which invocation was paused.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to QName of the paused handler

AXIS2_EXTERN int axis2_msg_ctx_get_paused_phase_index | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the phase at which the invocation was paused.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  index of paused phase

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_paused_phase_name | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the name of the phase at which the invocation was paused.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  name string of the paused phase.

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_process_fault | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets process fault status.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if process fault is on, else AXIS2_FALSE

AXIS2_EXTERN axutil_property_t* axis2_msg_ctx_get_property | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key |
| ) |  |  |

Gets property corresponding to the given key.

Parameters:

  | msg_ctx | pointer to message context
  | env | pointer to environment struct
  | key | key string with which the property is stored

Returns:
  pointer to property struct

AXIS2_EXTERN void* axis2_msg_ctx_get_property_value | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | property_str |
| ) |  |  |

Gets property value corresponding to the property given key.

Parameters:

  | msg_ctx | pointer to message context
  | env | pointer to environment struct
  | property_str | key string with which the property is stored

Returns:
  pointer to property struct

AXIS2_EXTERN axis2_relates_to_t* axis2_msg_ctx_get_relates_to | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets relates to information for the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to relates to struct

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_ctx_get_reply_to | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing reply to endpoint. Reply to address tells where the the response should be sent to.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing the reply to address, returns a reference not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_required_auth_is_http | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets whether HTTP Authentication is required or whether Proxy Authentication is required

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  returns AXIS2_TRUE for HTTP Authentication and AXIS2_FALSE for Proxy Authentication

AXIS2_EXTERN struct axiom_soap_envelope* axis2_msg_ctx_get_response_soap_envelope | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the SOAP envelope of the response.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to response SOAP envelope stored within message context

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_rest_http_method | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the HTTP Method that relates to the service that is related to the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  HTTP Method string, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_get_server_side | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Checks if it is on the server side that the message is being dealt with, or on the client side.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if it is server side, AXIS2_FALSE if it is client side

AXIS2_EXTERN axutil_string_t* axis2_msg_ctx_get_soap_action | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets SOAP action.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  SOAP action string

AXIS2_EXTERN struct axiom_soap_envelope* axis2_msg_ctx_get_soap_envelope | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the SOAP envelope. This SOAP envelope could be either request SOAP envelope or the response SOAP envelope, based on the state the message context is in.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to SOAP envelope stored within message context

AXIS2_EXTERN int axis2_msg_ctx_get_status_code | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the integer value indicating http status_code.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  status value

AXIS2_EXTERN axutil_array_list_t* axis2_msg_ctx_get_supported_rest_http_methods | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the list of supported REST HTTP Methods

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer array list containing the list of HTTP Methods supported. Message context does assumes the ownership of the array list

AXIS2_EXTERN struct axis2_svc* axis2_msg_ctx_get_svc | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the service to which the operation to be invoked belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to service struct, returns a reference not a cloned copy

AXIS2_EXTERN struct axis2_svc_ctx* axis2_msg_ctx_get_svc_ctx | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets service context that relates to the service that the message context is related to.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to message context struct

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_svc_ctx_id | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the ID of service context that relates to the service that is related to the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  service context ID string

AXIS2_EXTERN struct axis2_svc_grp* axis2_msg_ctx_get_svc_grp | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets the service group to which the service to be invoked belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to service group struct, returns a reference not a cloned copy

AXIS2_EXTERN struct axis2_svc_grp_ctx* axis2_msg_ctx_get_svc_grp_ctx | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets service group context. The returned service group context relates to the service group to which the service, related to the message context, belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to service group struct

AXIS2_EXTERN const axutil_string_t* axis2_msg_ctx_get_svc_grp_ctx_id | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the service group context ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  service group context ID string

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_ctx_get_to | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing to endpoint. To address tells where message should be sent to.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference struct representing the to address, returns a reference not a cloned copy

AXIS2_EXTERN axis2_char_t* axis2_msg_ctx_get_transfer_encoding | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the transfer encoding used

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Transfer encoding string

AXIS2_EXTERN axutil_hash_t* axis2_msg_ctx_get_transport_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Retrieves Transport Headers.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Transport Headers associated.

AXIS2_EXTERN struct axis2_transport_in_desc* axis2_msg_ctx_get_transport_in_desc | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets transport in description.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to transport in description struct, returns a reference not a cloned copy

AXIS2_EXTERN struct axis2_transport_out_desc* axis2_msg_ctx_get_transport_out_desc | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets transport out description.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to transport out description struct, returns a reference not a cloned copy

AXIS2_EXTERN axutil_stream_t* axis2_msg_ctx_get_transport_out_stream | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the Transport Out Stream

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  reference to Transport Out Stream

AXIS2_EXTERN axis2_char_t* axis2_msg_ctx_get_transport_url | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the Transport URL

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  Transport URL string

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_wsa_action | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing action.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  pointer to WSA action URI string

AXIS2_EXTERN const axis2_char_t* axis2_msg_ctx_get_wsa_message_id | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing message ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  WSA message ID string

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_increment_ref | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Incrementing the msg_ctx ref count. This is necessary when prevent freeing msg_ctx through op_client when it is in use as in sandesha2.

Parameters:

  | msg_ctx | pointer to message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if still in use, else AXIS2_FALSE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_init | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_conf * | conf |
| ) |  |  |

Initializes the message context. Based on the transport, service and operation qnames set on top of message context, correct instances of those struct instances would be extracted from configuration and set within message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | conf | pointer to configuration

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_is_keep_alive | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating the keep alive status. It is possible to keep alive the message context by any handler. By calling this method one can see whether it is possible to clean the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if message context is keep alive, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_ctx_is_paused | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating the paused status.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if invocation is paused, else AXIS2_FALSE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_reset_out_transport_info | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Resets the HTTP Out Transport Info associated

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_reset_transport_out_stream | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env |
| ) |  |  |

Resets Transport Out Stream

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_auth_failed | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | status |
| ) |  |  |

Sets whether an authentication failure occured

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | status | expects AXIS2_TRUE if an authentication failure occured or AXIS2_FALSE if not

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_auth_type | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | auth_type |
| ) |  |  |

Sets the authentication type

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | auth_type | Authentication type string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_charset_encoding | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_string_t * | str |
| ) |  |  |

Sets character set encoding to be used.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | str | pointer to string struct representing encoding

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_conf_ctx | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_conf_ctx * | conf_ctx |
| ) |  |  |

Sets configuration context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | conf_ctx | pointer to configuration context struct, message context does not assume the ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_content_language | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | str |
| ) |  |  |

Sets the Content Language used

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | str | Content Language string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_current_handler_index | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const int | index |
| ) |  |  |

Sets current handler index, indicating which handler is currently being invoked in the execution chain

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | index | index of currently executed handler

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_current_phase_index | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const int | index |
| ) |  |  |

Sets index of the current phase being invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | index | index of current phase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_do_rest_through_post | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | do_rest_through_post |
| ) |  |  |

Sets the boolean value indicating if REST should be done through HTTP POST or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | do_rest_through_post | AXIS2_TRUE if REST is to be done with HTTP POST, else AXIS2_FALSE if REST is not to be done with HTTP POST

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_doing_mtom | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | doing_mtom |
| ) |  |  |

Sets the boolean value indicating if MTOM is enabled or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | doing_mtom | AXIS2_TRUE if MTOM is enabled, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_doing_rest | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | doing_rest |
| ) |  |  |

Sets the boolean value indicating if REST is enabled or not.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | doing_rest | AXIS2_TRUE if REST is enabled, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_execution_chain | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | execution_chain |
| ) |  |  |

Sets the execution chain to be invoked. The execution chain is a list of phases containing the handlers to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | execution_chain | pointer array list containing the list of handlers that constitute the execution chain. Message context does not assume the ownership of the array list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_fault_soap_envelope | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axiom_soap_envelope * | soap_envelope |
| ) |  |  |

Sets fault SOAP envelope.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | soap_envelope | pointer to SOAP envelope, message context assumes ownership of SOAP envelope

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_fault_to | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reference |
| ) |  |  |

Sets WS-Addressing fault to endpoint. Fault to address tells where the fault message should be sent when there is an error.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | reference | pointer to endpoint reference representing fault to address. message context assumes the ownership of endpoint struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_find_op | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | AXIS2_MSG_CTX_FIND_OP | func |
| ) |  |  |

Sets function to be used to find an operation in the given service. This function is used by dispatchers to locate the operation to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | func | function to be used to find an operation

Returns:
  pointer to the operation to be invoked

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_find_svc | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | AXIS2_MSG_CTX_FIND_SVC | func |
| ) |  |  |

Sets function to be used to find a service. This function is used by dispatchers to locate the service to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | func | function to be used to find an operation

Returns:
  pointer to service to be invoked

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_flow | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | int | flow |
| ) |  |  |

Sets the flow to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | flow | int value indicating the flow

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_from | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reference |
| ) |  |  |

Sets WS-Addressing from endpoint. From address tells where the message came from.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | reference | pointer to endpoint reference representing from address. message context assumes the ownership of endpoint struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_http_accept_charset_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | accept_charset_record_list |
| ) |  |  |

Sets the HTTP Accept-Charset records

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | accept_charset_record_list | an Array List containing the HTTP Accept-Charset records

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_http_accept_language_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | accept_language_record_list |
| ) |  |  |

Sets the HTTP Accept-Language records

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | accept_language_record_list | an Array List containing the HTTP Accept-Language records

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_http_accept_record_list | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | accept_record_list |
| ) |  |  |

Sets the HTTP Accept records

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | accept_record_list | an Array List containing the HTTP Accept records

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_http_output_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | output_headers |
| ) |  |  |

Sets the Output Header list

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | output_headers | Output Header list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_in_fault_flow | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | in_fault_flow |
| ) |  |  |

Sets in fault flow status.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | in_fault_flow | AXIS2_TRUE if there is a fault on in path, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_is_soap_11 | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | is_soap11 |
| ) |  |  |

Sets the bool value indicating the SOAP version being used either SOAP 1.1 or SOAP 1.2

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | is_soap11 | AXIS2_TRUE if SOAP 1.1 is being used, else AXIS2_FALSE if SOAP 1.2 is being used

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_keep_alive | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | keep_alive |
| ) |  |  |

Sets the bool value indicating the keep alive status of invocation. By setting this one can indicate the engine not to clean the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | keep_alive | keep alive

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_manage_session | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | manage_session |
| ) |  |  |

Sets manage session bool value.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | manage_session | manage session bool value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_message_id | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | message_id |
| ) |  |  |

Sets message ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | message_id | message ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_msg_id | ( | const axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | msg_id |
| ) |  |  |

Sets message ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | msg_id |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_msg_info_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_msg_info_headers_t * | msg_info_headers |
| ) |  |  |

Sets message information headers.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | msg_info_headers | pointer to message information headers, message context assumes the ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_new_thread_required | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | new_thread_required |
| ) |  |  |

Sets the bool value indicating if it is required to have a new thread for the invocation, or if the same thread of execution could be used.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | new_thread_required | AXIS2_TRUE if a new thread is required, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_no_content | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | no_content |
| ) |  |  |

Sets that there was no content in the response.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | no_content | expects AXIS2_TRUE if there was no content in the response or AXIS2_FALSE otherwise

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_op | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_op * | op |
| ) |  |  |

Sets the operation that is to be invoked.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | op | pointer to operation, message context does not assume the ownership of operation

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_op_ctx | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_op_ctx * | op_ctx |
| ) |  |  |

Sets operation context related to the operation that this message context is related to.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | op_ctx | pointer to operation context, message context does not assume the ownership of operation context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_options | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_options * | options |
| ) |  |  |

Sets the options to be used in invocation.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | options | pointer to options struct, message context does not assume the ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_out_transport_info | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_out_transport_info * | out_transport_info |
| ) |  |  |

Sets the HTTP Out Transport Info associated

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | out_transport_info | reference to HTTP Out Transport Info associated

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_output_written | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | output_written |
| ) |  |  |

Sets the bool value indicating the output written status.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | output_written | AXIS2_TRUE if output is written, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_parent | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_op_ctx * | parent |
| ) |  |  |

Sets parent. Parent of a message context is of type operation context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | parent | pointer to parent operation context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_paused | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | paused |
| ) |  |  |

Sets the bool value indicating the paused status of invocation.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | paused | paused

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_paused_phase_name | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | paused_phase_name |
| ) |  |  |

Sets the name of the phase at which the invocation was paused.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | paused_phase_name | paused phase name string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_process_fault | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | process_fault |
| ) |  |  |

Sets process fault bool value.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | process_fault | AXIS2_TRUE if SOAP faults are to be processed, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_property | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | key,
|  | axutil_property_t * | value |
| ) |  |  |

Sets property with given key.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | key | key string
  | value | property to be stored

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_relates_to | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_relates_to_t * | reference |
| ) |  |  |

Sets relates to struct.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | reference | pointer to relates to struct, message context assumes ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_reply_to | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reference |
| ) |  |  |

Sets WS-Addressing reply to address indicating the location to which the reply would be sent.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | reference | pointer to endpoint reference representing reply to address

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_required_auth_is_http | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | is_http |
| ) |  |  |

Sets whether HTTP Authentication is required or whether Proxy Authentication is required

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | is_http | use AXIS2_TRUE for HTTP Authentication and AXIS2_FALSE for Proxy Authentication

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_response_soap_envelope | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axiom_soap_envelope * | soap_envelope |
| ) |  |  |

Sets response SOAP envelope.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | soap_envelope | pointer to SOAP envelope, message context assumes ownership of SOAP envelope

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_rest_http_method | ( | struct axis2_msg_ctx * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | rest_http_method |
| ) |  |  |

Sets the HTTP Method that relates to the service that is related to the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | rest_http_method | HTTP Method string, msg_ctx does not assume ownership of rest_http_method.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_server_side | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | server_side |
| ) |  |  |

Sets the bool value indicating if it is the server side or the client side.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | server_side | AXIS2_TRUE if it is server side, AXIS2_FALSE if it is client side

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_soap_action | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_string_t * | soap_action |
| ) |  |  |

Sets SOAP action.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | soap_action | SOAP action string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_soap_envelope | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axiom_soap_envelope * | soap_envelope |
| ) |  |  |

Sets SOAP envelope. The fact that if it is the request SOAP envelope or that of response depends on the current status represented by message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | soap_envelope | pointer to SOAP envelope, message context assumes ownership of SOAP envelope

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_status_code | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const int | status_code |
| ) |  |  |

Sets the int value indicating http status code

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | status_code | of the http response

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_supported_rest_http_methods | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | supported_rest_http_methods |
| ) |  |  |

Sets the list of supported REST HTTP Methods

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | supported_rest_http_methods | pointer array list containing the list of HTTP Methods supported. Message context does assumes the ownership of the array list. Anything added to this array list will be freed by the msg_ctx

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_svc * | svc |
| ) |  |  |

Sets the service to which the operation to be invoked belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc | pointer to service struct, message context does not assume the ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc_ctx | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_svc_ctx * | svc_ctx |
| ) |  |  |

Sets service context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc_ctx | pointer to service context struct, message context does not assume the ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc_ctx_id | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | svc_ctx_id |
| ) |  |  |

Sets the ID of service context that relates to the service that is related to the message context.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc_ctx_id | The service context ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc_grp | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_svc_grp * | svc_grp |
| ) |  |  |

Sets the service group to which the service to be invoked belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc_grp | pointer to service group struct, message context does not assume the ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc_grp_ctx | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_svc_grp_ctx * | svc_grp_ctx |
| ) |  |  |

Gets service group context. The returned service group context relates to the service group to which the service, related to the message context, belongs.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc_grp_ctx | pointer to service group context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_svc_grp_ctx_id | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_string_t * | svc_grp_ctx_id |
| ) |  |  |

Sets the service group context ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | svc_grp_ctx_id | service group context ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_to | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reference |
| ) |  |  |

Sets WS-Addressing to address.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | reference | pointer to endpoint reference struct representing the address where the request should be sent to. message context assumes ownership of endpoint struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transfer_encoding | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | str |
| ) |  |  |

Sets the transfer encoding used

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | str | Transfer encoding string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transport_headers | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_hash_t * | transport_headers |
| ) |  |  |

Sets the Transport Headers

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | transport_headers | a Hash containing the Transport Headers

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transport_in_desc | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_transport_in_desc * | transport_in_desc |
| ) |  |  |

Sets transport in description.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | transport_in_desc | pointer to transport in description struct, message context does not assume the ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transport_out_desc | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | struct axis2_transport_out_desc * | transport_out_desc |
| ) |  |  |

Sets transport out description.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | transport_out_desc | pointer to transport out description, message context does not assume the ownership of the struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transport_out_stream | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axutil_stream_t * | stream |
| ) |  |  |

Sets the Transport Out Stream

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | stream | reference to Transport Out Stream

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_transport_url | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | str |
| ) |  |  |

Sets the Transport URL

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | str | Transport URL string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_wsa_action | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | action_uri |
| ) |  |  |

Sets WS-Addressing action.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | action_uri | WSA action URI string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_ctx_set_wsa_message_id | ( | axis2_msg_ctx_t * | msg_ctx,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | message_id |
| ) |  |  |

Sets WS-Addressing message ID.

Parameters:

  | msg_ctx | message context
  | env | pointer to environment struct
  | message_id | pointer to message ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE